@import '--scss-vars.scss', '--css-vars.scss', '--css-global-styles.scss',
'--reset.scss';

#__bs_script__ {
  display: none;
}
.vScroll{
   margin: $subdiv $subdiv $subdiv 0;
}
.vScroll::-webkit-scrollbar {
  width: $subdiv + 2;
}
.vScroll::-webkit-scrollbar-track {
  background: $color-w9-a;
  border-left: $subdiv - 2 solid $color-d0;
  border-right: $subdiv - 2 solid $color-d0;
}
.vScroll::-webkit-scrollbar-thumb {
  background: $color-d5;
  border-left: $subdiv - 2 solid #C4C4C4;
  border-right: $subdiv - 2 solid #C4C4C4;
  border-radius: 16px;
}

html {
  &.no-scroll {
    height: 100%;
    overflow: hidden;
  }
}

@include placeholder($color-d7);

*,
::after,
::before {
  box-sizing: border-box
}

html {
  font-family: sans-serif;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent
}

article,
aside,
figcaption,
figure,
footer,
header,
hgroup,
main,
nav,
section {
  display: block
}

body {
  font-family: $font-family1;
  margin: 0;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  color: $color-w0;
  text-align: left;
  background-color: $color-d1;
}

[tabindex="-1"]:focus:not(:focus-visible) {
  outline: 0 !important
}

hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: $font-family2;
  font-weight: 900;
  margin-top: 0;
  margin-bottom: .5rem
}

p {
  margin-top: 0;
  margin-bottom: 1rem
}

abbr[data-original-title],
abbr[title] {
  text-decoration: underline;
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted;
  cursor: help;
  border-bottom: 0;
  -webkit-text-decoration-skip-ink: none;
  text-decoration-skip-ink: none
}
dl,
ol,
ul {
  margin-top: 0;
  margin-bottom: 1rem
}

ol ol,
ol ul,
ul ol,
ul ul {
  margin-bottom: 0
}

b,
strong {
  font-weight: bolder
}

small {
  font-size: 80%
}

sub,
sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline
}

sub {
  bottom: -.25em
}

sup {
  top: -.5em
}

a {
  color: $color-w0;
  text-decoration: none;
  background-color: transparent
}

a:hover {
  color: $color-w0;
  text-decoration: underline
}

a:not([href]):not([class]) {
  color: inherit;
  text-decoration: none
}

a:not([href]):not([class]):hover {
  color: inherit;
  text-decoration: none
}

img {
  vertical-align: middle;
  border-style: none
}

svg {
  overflow: hidden;
  vertical-align: middle
}

table {
  border-collapse: collapse
}

th {
  text-align: inherit;
  text-align: -webkit-match-parent
}

label {
  display: inline-block;
  margin-bottom: .5rem
}

button {
  border-radius: 0
}

button:focus:not(:focus-visible) {
  outline: 0
}

button,
input,
optgroup,
select,
textarea {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit
}

button,
input {
  overflow: visible
}

button,
select {
  text-transform: none
}

[role=button] {
  cursor: pointer
}

select {
  word-wrap: normal
}

[type=button],
[type=reset],
[type=submit],
button {
  -webkit-appearance: button
}

[type=button]:not(:disabled),
[type=reset]:not(:disabled),
[type=submit]:not(:disabled),
button:not(:disabled) {
  cursor: pointer
}

[type=button]::-moz-focus-inner,
[type=reset]::-moz-focus-inner,
[type=submit]::-moz-focus-inner,
button::-moz-focus-inner {
  padding: 0;
  border-style: none
}

input[type=checkbox],
input[type=radio] {
  box-sizing: border-box;
  padding: 0
}

textarea {
  overflow: auto;
  resize: vertical
}

fieldset {
  min-width: 0;
  padding: 0;
  margin: 0;
  border: 0
}

legend {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: 0;
  margin-bottom: .5rem;
  font-size: 1.5rem;
  line-height: inherit;
  color: inherit;
  white-space: normal
}

progress {
  vertical-align: baseline
}

[type=number]::-webkit-inner-spin-button,
[type=number]::-webkit-outer-spin-button {
  height: auto
}

[type=search] {
  outline-offset: -2px;
  -webkit-appearance: none
}

[type=search]::-webkit-search-decoration {
  -webkit-appearance: none
}

::-webkit-file-upload-button {
  font: inherit;
  -webkit-appearance: button
}

[hidden] {
  display: none !important
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: .5rem;
  line-height: 1.2
}

h1 {
  font-size: 2.5rem
}

h2 {
  font-size: 2rem
}

h3 {
  font-size: 1.75rem
}

h4 {
  font-size: 1.5rem
}

h5 {
  font-size: 1.25rem
}

h6 {
  font-size: 1rem
}

hr {
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, .1)
}

.small,
small {
  font-size: 80%;
  font-weight: 400
}

.mark,
mark {
  padding: .2em;
  background-color: #fcf8e3
}

.img-fluid {
  max-width: 100%;
  height: auto
}

.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto
}

@media (min-width:576px) {

  .container,
  .container-sm {
    max-width: 540px
  }
}

@media (min-width:768px) {

  .container,
  .container-md,
  .container-sm {
    max-width: 720px
  }
}

@media (min-width:992px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm {
    max-width: 960px
  }
}

@media (min-width:1200px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl {
    max-width: 1140px
  }
}

.row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px
}

.no-gutters {
  margin-right: 0;
  margin-left: 0
}

.no-gutters>.col,
.no-gutters>[class*=col-] {
  padding-right: 0;
  padding-left: 0
}

.col,
.col-1,
.col-10,
.col-11,
.col-12,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-auto,
.col-lg,
.col-lg-1,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-auto,
.col-md,
.col-md-1,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-auto,
.col-sm,
.col-sm-1,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-auto,
.col-xl,
.col-xl-1,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-auto {
  position: relative;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px
}

.col {
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  -ms-flex-positive: 1;
  flex-grow: 1;
  max-width: 100%
}

.col-1 {
  -ms-flex: 0 0 8.333333%;
  flex: 0 0 8.333333%;
  max-width: 8.333333%
}

.col-2 {
  -ms-flex: 0 0 16.666667%;
  flex: 0 0 16.666667%;
  max-width: 16.666667%
}

.col-3 {
  -ms-flex: 0 0 25%;
  flex: 0 0 25%;
  max-width: 25%
}

.col-4 {
  -ms-flex: 0 0 33.333333%;
  flex: 0 0 33.333333%;
  max-width: 33.333333%
}

.col-5 {
  -ms-flex: 0 0 41.666667%;
  flex: 0 0 41.666667%;
  max-width: 41.666667%
}

.col-6 {
  -ms-flex: 0 0 50%;
  flex: 0 0 50%;
  max-width: 50%
}

.col-7 {
  -ms-flex: 0 0 58.333333%;
  flex: 0 0 58.333333%;
  max-width: 58.333333%
}

.col-8 {
  -ms-flex: 0 0 66.666667%;
  flex: 0 0 66.666667%;
  max-width: 66.666667%
}

.col-9 {
  -ms-flex: 0 0 75%;
  flex: 0 0 75%;
  max-width: 75%
}

.col-10 {
  -ms-flex: 0 0 83.333333%;
  flex: 0 0 83.333333%;
  max-width: 83.333333%
}

.col-11 {
  -ms-flex: 0 0 91.666667%;
  flex: 0 0 91.666667%;
  max-width: 91.666667%
}

.col-12 {
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  max-width: 100%
}

.order-first {
  -ms-flex-order: -1;
  order: -1
}

.order-last {
  -ms-flex-order: 13;
  order: 13
}

.order-0 {
  -ms-flex-order: 0;
  order: 0
}

.order-1 {
  -ms-flex-order: 1;
  order: 1
}

.order-2 {
  -ms-flex-order: 2;
  order: 2
}

.order-3 {
  -ms-flex-order: 3;
  order: 3
}

.order-4 {
  -ms-flex-order: 4;
  order: 4
}

.order-5 {
  -ms-flex-order: 5;
  order: 5
}

.order-6 {
  -ms-flex-order: 6;
  order: 6
}

@media (min-width:576px) {
  .col-sm-1 {
    -ms-flex: 0 0 8.333333%;
    flex: 0 0 8.333333%;
    max-width: 8.333333%
  }

  .col-sm-2 {
    -ms-flex: 0 0 16.666667%;
    flex: 0 0 16.666667%;
    max-width: 16.666667%
  }

  .col-sm-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%
  }

  .col-sm-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%
  }

  .col-sm-5 {
    -ms-flex: 0 0 41.666667%;
    flex: 0 0 41.666667%;
    max-width: 41.666667%
  }

  .col-sm-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%
  }

  .col-sm-7 {
    -ms-flex: 0 0 58.333333%;
    flex: 0 0 58.333333%;
    max-width: 58.333333%
  }

  .col-sm-8 {
    -ms-flex: 0 0 66.666667%;
    flex: 0 0 66.666667%;
    max-width: 66.666667%
  }

  .col-sm-9 {
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%
  }

  .col-sm-10 {
    -ms-flex: 0 0 83.333333%;
    flex: 0 0 83.333333%;
    max-width: 83.333333%
  }

  .col-sm-11 {
    -ms-flex: 0 0 91.666667%;
    flex: 0 0 91.666667%;
    max-width: 91.666667%
  }

  .col-sm-12 {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%
  }

  .order-sm-first {
    -ms-flex-order: -1;
    order: -1
  }

  .order-sm-last {
    -ms-flex-order: 13;
    order: 13
  }

  .order-sm-0 {
    -ms-flex-order: 0;
    order: 0
  }

  .order-sm-1 {
    -ms-flex-order: 1;
    order: 1
  }

  .order-sm-2 {
    -ms-flex-order: 2;
    order: 2
  }

  .order-sm-3 {
    -ms-flex-order: 3;
    order: 3
  }

  .order-sm-4 {
    -ms-flex-order: 4;
    order: 4
  }

  .order-sm-5 {
    -ms-flex-order: 5;
    order: 5
  }

  .order-sm-6 {
    -ms-flex-order: 6;
    order: 6
  }

  .order-sm-7 {
    -ms-flex-order: 7;
    order: 7
  }

  .order-sm-8 {
    -ms-flex-order: 8;
    order: 8
  }

  .order-sm-9 {
    -ms-flex-order: 9;
    order: 9
  }

  .order-sm-10 {
    -ms-flex-order: 10;
    order: 10
  }

  .order-sm-11 {
    -ms-flex-order: 11;
    order: 11
  }

  .order-sm-12 {
    -ms-flex-order: 12;
    order: 12
  }

  .offset-sm-0 {
    margin-left: 0
  }

  .offset-sm-1 {
    margin-left: 8.333333%
  }

  .offset-sm-2 {
    margin-left: 16.666667%
  }

  .offset-sm-3 {
    margin-left: 25%
  }

  .offset-sm-4 {
    margin-left: 33.333333%
  }

  .offset-sm-5 {
    margin-left: 41.666667%
  }

  .offset-sm-6 {
    margin-left: 50%
  }

  .offset-sm-7 {
    margin-left: 58.333333%
  }

  .offset-sm-8 {
    margin-left: 66.666667%
  }

  .offset-sm-9 {
    margin-left: 75%
  }

  .offset-sm-10 {
    margin-left: 83.333333%
  }

  .offset-sm-11 {
    margin-left: 91.666667%
  }
}

@media (min-width:768px) {
  .col-md-1 {
    -ms-flex: 0 0 8.333333%;
    flex: 0 0 8.333333%;
    max-width: 8.333333%
  }

  .col-md-2 {
    -ms-flex: 0 0 16.666667%;
    flex: 0 0 16.666667%;
    max-width: 16.666667%
  }

  .col-md-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%
  }

  .col-md-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%
  }

  .col-md-5 {
    -ms-flex: 0 0 41.666667%;
    flex: 0 0 41.666667%;
    max-width: 41.666667%
  }

  .col-md-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%
  }

  .col-md-7 {
    -ms-flex: 0 0 58.333333%;
    flex: 0 0 58.333333%;
    max-width: 58.333333%
  }

  .col-md-8 {
    -ms-flex: 0 0 66.666667%;
    flex: 0 0 66.666667%;
    max-width: 66.666667%
  }

  .col-md-9 {
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%
  }

  .col-md-10 {
    -ms-flex: 0 0 83.333333%;
    flex: 0 0 83.333333%;
    max-width: 83.333333%
  }

  .col-md-11 {
    -ms-flex: 0 0 91.666667%;
    flex: 0 0 91.666667%;
    max-width: 91.666667%
  }

  .col-md-12 {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%
  }
  .order-md-0 {
    -ms-flex-order: 0;
    order: 0
  }

  .order-md-1 {
    -ms-flex-order: 1;
    order: 1
  }

  .order-md-2 {
    -ms-flex-order: 2;
    order: 2
  }

  .order-md-3 {
    -ms-flex-order: 3;
    order: 3
  }

  .order-md-4 {
    -ms-flex-order: 4;
    order: 4
  }

  .order-md-5 {
    -ms-flex-order: 5;
    order: 5
  }

  .order-md-6 {
    -ms-flex-order: 6;
    order: 6
  }
}

@media (min-width:992px) {
  .col-lg-1 {
    -ms-flex: 0 0 8.333333%;
    flex: 0 0 8.333333%;
    max-width: 8.333333%
  }

  .col-lg-2 {
    -ms-flex: 0 0 16.666667%;
    flex: 0 0 16.666667%;
    max-width: 16.666667%
  }

  .col-lg-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%
  }

  .col-lg-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%
  }

  .col-lg-5 {
    -ms-flex: 0 0 41.666667%;
    flex: 0 0 41.666667%;
    max-width: 41.666667%
  }

  .col-lg-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%
  }

  .col-lg-7 {
    -ms-flex: 0 0 58.333333%;
    flex: 0 0 58.333333%;
    max-width: 58.333333%
  }

  .col-lg-8 {
    -ms-flex: 0 0 66.666667%;
    flex: 0 0 66.666667%;
    max-width: 66.666667%
  }

  .col-lg-9 {
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%
  }

  .col-lg-10 {
    -ms-flex: 0 0 83.333333%;
    flex: 0 0 83.333333%;
    max-width: 83.333333%
  }

  .col-lg-11 {
    -ms-flex: 0 0 91.666667%;
    flex: 0 0 91.666667%;
    max-width: 91.666667%
  }

  .col-lg-12 {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%
  }

  .order-lg-0 {
    -ms-flex-order: 0;
    order: 0
  }

  .order-lg-1 {
    -ms-flex-order: 1;
    order: 1
  }

  .order-lg-2 {
    -ms-flex-order: 2;
    order: 2
  }

  .order-lg-3 {
    -ms-flex-order: 3;
    order: 3
  }

  .order-lg-4 {
    -ms-flex-order: 4;
    order: 4
  }

  .order-lg-5 {
    -ms-flex-order: 5;
    order: 5
  }

  .order-lg-6 {
    -ms-flex-order: 6;
    order: 6
  }
}

@media (min-width:1200px) {
  .col-xl-1 {
    -ms-flex: 0 0 8.333333%;
    flex: 0 0 8.333333%;
    max-width: 8.333333%
  }

  .col-xl-2 {
    -ms-flex: 0 0 16.666667%;
    flex: 0 0 16.666667%;
    max-width: 16.666667%
  }

  .col-xl-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%
  }

  .col-xl-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%
  }

  .col-xl-5 {
    -ms-flex: 0 0 41.666667%;
    flex: 0 0 41.666667%;
    max-width: 41.666667%
  }

  .col-xl-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%
  }

  .col-xl-7 {
    -ms-flex: 0 0 58.333333%;
    flex: 0 0 58.333333%;
    max-width: 58.333333%
  }

  .col-xl-8 {
    -ms-flex: 0 0 66.666667%;
    flex: 0 0 66.666667%;
    max-width: 66.666667%
  }

  .col-xl-9 {
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%
  }

  .col-xl-10 {
    -ms-flex: 0 0 83.333333%;
    flex: 0 0 83.333333%;
    max-width: 83.333333%
  }

  .col-xl-11 {
    -ms-flex: 0 0 91.666667%;
    flex: 0 0 91.666667%;
    max-width: 91.666667%
  }

  .col-xl-12 {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%
  }

  .order-xl-0 {
    -ms-flex-order: 0;
    order: 0
  }

  .order-xl-1 {
    -ms-flex-order: 1;
    order: 1
  }

  .order-xl-2 {
    -ms-flex-order: 2;
    order: 2
  }

  .order-xl-3 {
    -ms-flex-order: 3;
    order: 3
  }

  .order-xl-4 {
    -ms-flex-order: 4;
    order: 4
  }

  .order-xl-5 {
    -ms-flex-order: 5;
    order: 5
  }

  .order-xl-6 {
    -ms-flex-order: 6;
    order: 6
  }
}

.table {
  width: 100%;
  margin-bottom: 1rem;
  color: #212529
}

.table td,
.table th {
  padding: .75rem;
  vertical-align: top;
  border-top: 1px solid #dee2e6
}

.table thead th {
  vertical-align: bottom;
  border-bottom: 2px solid #dee2e6
}

.table tbody+tbody {
  border-top: 2px solid #dee2e6
}

.table-sm td,
.table-sm th {
  padding: .3rem
}

.table-bordered {
  border: 1px solid #dee2e6
}

.table-bordered td,
.table-bordered th {
  border: 1px solid #dee2e6
}

.table-bordered thead td,
.table-bordered thead th {
  border-bottom-width: 2px
}

.table-borderless tbody+tbody,
.table-borderless td,
.table-borderless th,
.table-borderless thead th {
  border: 0
}

.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, .05)
}

.table-hover tbody tr:hover {
  color: #212529;
  background-color: rgba(0, 0, 0, .075)
}


@media (max-width:575.98px) {
  .table-responsive-sm {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch
  }

  .table-responsive-sm>.table-bordered {
    border: 0
  }
}

@media (max-width:767.98px) {
  .table-responsive-md {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch
  }

  .table-responsive-md>.table-bordered {
    border: 0
  }
}

@media (max-width:991.98px) {
  .table-responsive-lg {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch
  }

  .table-responsive-lg>.table-bordered {
    border: 0
  }
}

@media (max-width:1199.98px) {
  .table-responsive-xl {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch
  }

  .table-responsive-xl>.table-bordered {
    border: 0
  }
}

.table-responsive {
  display: block;
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch
}

.table-responsive>.table-bordered {
  border: 0
}

input[type=date].form-control,
input[type=datetime-local].form-control,
input[type=month].form-control,
input[type=time].form-control {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none
}

select.form-control:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #495057
}

select.form-control:focus::-ms-value {
  color: #495057;
  background-color: #fff
}

select.form-control[multiple],
select.form-control[size] {
  height: auto
}

textarea.form-control {
  height: auto
}

.form-group {
  margin-bottom: 1rem
}


.form-inline {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-flow: row wrap;
  flex-flow: row wrap;
  -ms-flex-align: center;
  align-items: center
}

.form-inline .form-check {
  width: 100%
}

@media (min-width:576px) {
  .form-inline label {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin-bottom: 0
  }


}

.fade {
  transition: opacity .15s linear
}


.d-flex {
  display: -ms-flexbox !important;
  display: flex !important
}

.d-inline-flex {
  display: -ms-inline-flexbox !important;
  display: inline-flex !important
}

.d-none {
  display: none !important
}

.d-inline {
  display: inline !important
}

.d-inline-block {
  display: inline-block !important
}

.d-block {
  display: block !important
}
@media (min-width:576px) {
  .d-sm-none {
      display: none !important
  }

  .d-sm-inline {
      display: inline !important
  }

  .d-sm-inline-block {
      display: inline-block !important
  }

  .d-sm-block {
      display: block !important
  }

  .d-sm-table {
      display: table !important
  }

  .d-sm-table-row {
      display: table-row !important
  }

  .d-sm-table-cell {
      display: table-cell !important
  }

  .d-sm-flex {
      display: -ms-flexbox !important;
      display: flex !important
  }

  .d-sm-inline-flex {
      display: -ms-inline-flexbox !important;
      display: inline-flex !important
  }
}
@media (min-width:768px) {
  .d-md-none {
      display: none !important
  }

  .d-md-inline {
      display: inline !important
  }

  .d-md-inline-block {
      display: inline-block !important
  }

  .d-md-block {
      display: block !important
  }

  .d-md-table {
      display: table !important
  }

  .d-md-table-row {
      display: table-row !important
  }

  .d-md-table-cell {
      display: table-cell !important
  }

  .d-md-flex {
      display: -ms-flexbox !important;
      display: flex !important
  }

  .d-md-inline-flex {
      display: -ms-inline-flexbox !important;
      display: inline-flex !important
  }
}

@media (min-width:992px) {
  .d-lg-none {
      display: none !important
  }

  .d-lg-inline {
      display: inline !important
  }

  .d-lg-inline-block {
      display: inline-block !important
  }

  .d-lg-block {
      display: block !important
  }

  .d-lg-table {
      display: table !important
  }

  .d-lg-table-row {
      display: table-row !important
  }

  .d-lg-table-cell {
      display: table-cell !important
  }

  .d-lg-flex {
      display: -ms-flexbox !important;
      display: flex !important
  }

  .d-lg-inline-flex {
      display: -ms-inline-flexbox !important;
      display: inline-flex !important
  }
}

@media (min-width:1200px) {
  .d-xl-none {
      display: none !important
  }

  .d-xl-inline {
      display: inline !important
  }

  .d-xl-inline-block {
      display: inline-block !important
  }

  .d-xl-block {
      display: block !important
  }

  .d-xl-table {
      display: table !important
  }

  .d-xl-table-row {
      display: table-row !important
  }

  .d-xl-table-cell {
      display: table-cell !important
  }

  .d-xl-flex {
      display: -ms-flexbox !important;
      display: flex !important
  }

  .d-xl-inline-flex {
      display: -ms-inline-flexbox !important;
      display: inline-flex !important
  }
}
.justify-content-start {
  -ms-flex-pack: start !important;
  justify-content: flex-start !important
}

.justify-content-end {
  -ms-flex-pack: end !important;
  justify-content: flex-end !important
}

.justify-content-center {
  -ms-flex-pack: center !important;
  justify-content: center !important
}

.justify-content-between {
  -ms-flex-pack: justify !important;
  justify-content: space-between !important
}

.justify-content-around {
  -ms-flex-pack: distribute !important;
  justify-content: space-around !important
}

.align-items-start {
  -ms-flex-align: start !important;
  align-items: flex-start !important
}

.align-items-end {
  -ms-flex-align: end !important;
  align-items: flex-end !important
}

.align-items-center {
  -ms-flex-align: center !important;
  align-items: center !important
}

.align-items-baseline {
  -ms-flex-align: baseline !important;
  align-items: baseline !important
}

.align-items-stretch {
  -ms-flex-align: stretch !important;
  align-items: stretch !important
}

.align-content-start {
  -ms-flex-line-pack: start !important;
  align-content: flex-start !important
}

.align-content-end {
  -ms-flex-line-pack: end !important;
  align-content: flex-end !important
}

.align-content-center {
  -ms-flex-line-pack: center !important;
  align-content: center !important
}

.align-content-between {
  -ms-flex-line-pack: justify !important;
  align-content: space-between !important
}

.align-content-around {
  -ms-flex-line-pack: distribute !important;
  align-content: space-around !important
}

.align-content-stretch {
  -ms-flex-line-pack: stretch !important;
  align-content: stretch !important
}

.align-self-auto {
  -ms-flex-item-align: auto !important;
  align-self: auto !important
}

.align-self-start {
  -ms-flex-item-align: start !important;
  align-self: flex-start !important
}

.align-self-end {
  -ms-flex-item-align: end !important;
  align-self: flex-end !important
}

.align-self-center {
  -ms-flex-item-align: center !important;
  align-self: center !important
}

.align-self-baseline {
  -ms-flex-item-align: baseline !important;
  align-self: baseline !important
}

.align-self-stretch {
  -ms-flex-item-align: stretch !important;
  align-self: stretch !important
}
@media (min-width:576px) {
  .flex-sm-row {
      -ms-flex-direction: row !important;
      flex-direction: row !important
  }

  .flex-sm-column {
      -ms-flex-direction: column !important;
      flex-direction: column !important
  }

  .flex-sm-row-reverse {
      -ms-flex-direction: row-reverse !important;
      flex-direction: row-reverse !important
  }

  .flex-sm-column-reverse {
      -ms-flex-direction: column-reverse !important;
      flex-direction: column-reverse !important
  }

  .flex-sm-wrap {
      -ms-flex-wrap: wrap !important;
      flex-wrap: wrap !important
  }

  .flex-sm-nowrap {
      -ms-flex-wrap: nowrap !important;
      flex-wrap: nowrap !important
  }

  .flex-sm-wrap-reverse {
      -ms-flex-wrap: wrap-reverse !important;
      flex-wrap: wrap-reverse !important
  }

  .justify-content-sm-start {
      -ms-flex-pack: start !important;
      justify-content: flex-start !important
  }

  .justify-content-sm-end {
      -ms-flex-pack: end !important;
      justify-content: flex-end !important
  }

  .justify-content-sm-center {
      -ms-flex-pack: center !important;
      justify-content: center !important
  }

  .justify-content-sm-between {
      -ms-flex-pack: justify !important;
      justify-content: space-between !important
  }

  .justify-content-sm-around {
      -ms-flex-pack: distribute !important;
      justify-content: space-around !important
  }

  .align-items-sm-start {
      -ms-flex-align: start !important;
      align-items: flex-start !important
  }

  .align-items-sm-end {
      -ms-flex-align: end !important;
      align-items: flex-end !important
  }

  .align-items-sm-center {
      -ms-flex-align: center !important;
      align-items: center !important
  }

  .align-items-sm-baseline {
      -ms-flex-align: baseline !important;
      align-items: baseline !important
  }

  .align-items-sm-stretch {
      -ms-flex-align: stretch !important;
      align-items: stretch !important
  }

  .align-content-sm-start {
      -ms-flex-line-pack: start !important;
      align-content: flex-start !important
  }

  .align-content-sm-end {
      -ms-flex-line-pack: end !important;
      align-content: flex-end !important
  }

  .align-content-sm-center {
      -ms-flex-line-pack: center !important;
      align-content: center !important
  }

  .align-content-sm-between {
      -ms-flex-line-pack: justify !important;
      align-content: space-between !important
  }

  .align-content-sm-around {
      -ms-flex-line-pack: distribute !important;
      align-content: space-around !important
  }

  .align-content-sm-stretch {
      -ms-flex-line-pack: stretch !important;
      align-content: stretch !important
  }

  .align-self-sm-auto {
      -ms-flex-item-align: auto !important;
      align-self: auto !important
  }

  .align-self-sm-start {
      -ms-flex-item-align: start !important;
      align-self: flex-start !important
  }

  .align-self-sm-end {
      -ms-flex-item-align: end !important;
      align-self: flex-end !important
  }

  .align-self-sm-center {
      -ms-flex-item-align: center !important;
      align-self: center !important
  }

  .align-self-sm-baseline {
      -ms-flex-item-align: baseline !important;
      align-self: baseline !important
  }

  .align-self-sm-stretch {
      -ms-flex-item-align: stretch !important;
      align-self: stretch !important
  }
}

@media (min-width:768px) {
  .flex-md-row {
      -ms-flex-direction: row !important;
      flex-direction: row !important
  }

  .flex-md-column {
      -ms-flex-direction: column !important;
      flex-direction: column !important
  }

  .flex-md-row-reverse {
      -ms-flex-direction: row-reverse !important;
      flex-direction: row-reverse !important
  }

  .flex-md-column-reverse {
      -ms-flex-direction: column-reverse !important;
      flex-direction: column-reverse !important
  }

  .flex-md-wrap {
      -ms-flex-wrap: wrap !important;
      flex-wrap: wrap !important
  }

  .flex-md-nowrap {
      -ms-flex-wrap: nowrap !important;
      flex-wrap: nowrap !important
  }

  .flex-md-wrap-reverse {
      -ms-flex-wrap: wrap-reverse !important;
      flex-wrap: wrap-reverse !important
  }

  .justify-content-md-start {
      -ms-flex-pack: start !important;
      justify-content: flex-start !important
  }

  .justify-content-md-end {
      -ms-flex-pack: end !important;
      justify-content: flex-end !important
  }

  .justify-content-md-center {
      -ms-flex-pack: center !important;
      justify-content: center !important
  }

  .justify-content-md-between {
      -ms-flex-pack: justify !important;
      justify-content: space-between !important
  }

  .justify-content-md-around {
      -ms-flex-pack: distribute !important;
      justify-content: space-around !important
  }

  .align-items-md-start {
      -ms-flex-align: start !important;
      align-items: flex-start !important
  }

  .align-items-md-end {
      -ms-flex-align: end !important;
      align-items: flex-end !important
  }

  .align-items-md-center {
      -ms-flex-align: center !important;
      align-items: center !important
  }

  .align-items-md-baseline {
      -ms-flex-align: baseline !important;
      align-items: baseline !important
  }

  .align-items-md-stretch {
      -ms-flex-align: stretch !important;
      align-items: stretch !important
  }

  .align-content-md-start {
      -ms-flex-line-pack: start !important;
      align-content: flex-start !important
  }

  .align-content-md-end {
      -ms-flex-line-pack: end !important;
      align-content: flex-end !important
  }

  .align-content-md-center {
      -ms-flex-line-pack: center !important;
      align-content: center !important
  }

  .align-content-md-between {
      -ms-flex-line-pack: justify !important;
      align-content: space-between !important
  }

  .align-content-md-around {
      -ms-flex-line-pack: distribute !important;
      align-content: space-around !important
  }

  .align-content-md-stretch {
      -ms-flex-line-pack: stretch !important;
      align-content: stretch !important
  }

  .align-self-md-auto {
      -ms-flex-item-align: auto !important;
      align-self: auto !important
  }

  .align-self-md-start {
      -ms-flex-item-align: start !important;
      align-self: flex-start !important
  }

  .align-self-md-end {
      -ms-flex-item-align: end !important;
      align-self: flex-end !important
  }

  .align-self-md-center {
      -ms-flex-item-align: center !important;
      align-self: center !important
  }

  .align-self-md-baseline {
      -ms-flex-item-align: baseline !important;
      align-self: baseline !important
  }

  .align-self-md-stretch {
      -ms-flex-item-align: stretch !important;
      align-self: stretch !important
  }
}

@media (min-width:992px) {
  .flex-lg-row {
      -ms-flex-direction: row !important;
      flex-direction: row !important
  }

  .flex-lg-column {
      -ms-flex-direction: column !important;
      flex-direction: column !important
  }

  .flex-lg-row-reverse {
      -ms-flex-direction: row-reverse !important;
      flex-direction: row-reverse !important
  }

  .flex-lg-column-reverse {
      -ms-flex-direction: column-reverse !important;
      flex-direction: column-reverse !important
  }

  .flex-lg-wrap {
      -ms-flex-wrap: wrap !important;
      flex-wrap: wrap !important
  }

  .flex-lg-nowrap {
      -ms-flex-wrap: nowrap !important;
      flex-wrap: nowrap !important
  }

  .flex-lg-wrap-reverse {
      -ms-flex-wrap: wrap-reverse !important;
      flex-wrap: wrap-reverse !important
  }

  .justify-content-lg-start {
      -ms-flex-pack: start !important;
      justify-content: flex-start !important
  }

  .justify-content-lg-end {
      -ms-flex-pack: end !important;
      justify-content: flex-end !important
  }

  .justify-content-lg-center {
      -ms-flex-pack: center !important;
      justify-content: center !important
  }

  .justify-content-lg-between {
      -ms-flex-pack: justify !important;
      justify-content: space-between !important
  }

  .justify-content-lg-around {
      -ms-flex-pack: distribute !important;
      justify-content: space-around !important
  }

  .align-items-lg-start {
      -ms-flex-align: start !important;
      align-items: flex-start !important
  }

  .align-items-lg-end {
      -ms-flex-align: end !important;
      align-items: flex-end !important
  }

  .align-items-lg-center {
      -ms-flex-align: center !important;
      align-items: center !important
  }

  .align-items-lg-baseline {
      -ms-flex-align: baseline !important;
      align-items: baseline !important
  }

  .align-items-lg-stretch {
      -ms-flex-align: stretch !important;
      align-items: stretch !important
  }

  .align-content-lg-start {
      -ms-flex-line-pack: start !important;
      align-content: flex-start !important
  }

  .align-content-lg-end {
      -ms-flex-line-pack: end !important;
      align-content: flex-end !important
  }

  .align-content-lg-center {
      -ms-flex-line-pack: center !important;
      align-content: center !important
  }

  .align-content-lg-between {
      -ms-flex-line-pack: justify !important;
      align-content: space-between !important
  }

  .align-content-lg-around {
      -ms-flex-line-pack: distribute !important;
      align-content: space-around !important
  }

  .align-content-lg-stretch {
      -ms-flex-line-pack: stretch !important;
      align-content: stretch !important
  }

  .align-self-lg-auto {
      -ms-flex-item-align: auto !important;
      align-self: auto !important
  }

  .align-self-lg-start {
      -ms-flex-item-align: start !important;
      align-self: flex-start !important
  }

  .align-self-lg-end {
      -ms-flex-item-align: end !important;
      align-self: flex-end !important
  }

  .align-self-lg-center {
      -ms-flex-item-align: center !important;
      align-self: center !important
  }

  .align-self-lg-baseline {
      -ms-flex-item-align: baseline !important;
      align-self: baseline !important
  }

  .align-self-lg-stretch {
      -ms-flex-item-align: stretch !important;
      align-self: stretch !important
  }
}

@media (min-width:1200px) {
  .flex-xl-row {
      -ms-flex-direction: row !important;
      flex-direction: row !important
  }

  .flex-xl-column {
      -ms-flex-direction: column !important;
      flex-direction: column !important
  }

  .flex-xl-row-reverse {
      -ms-flex-direction: row-reverse !important;
      flex-direction: row-reverse !important
  }

  .flex-xl-column-reverse {
      -ms-flex-direction: column-reverse !important;
      flex-direction: column-reverse !important
  }

  .flex-xl-wrap {
      -ms-flex-wrap: wrap !important;
      flex-wrap: wrap !important
  }

  .flex-xl-nowrap {
      -ms-flex-wrap: nowrap !important;
      flex-wrap: nowrap !important
  }

  .flex-xl-wrap-reverse {
      -ms-flex-wrap: wrap-reverse !important;
      flex-wrap: wrap-reverse !important
  }

  .justify-content-xl-start {
      -ms-flex-pack: start !important;
      justify-content: flex-start !important
  }

  .justify-content-xl-end {
      -ms-flex-pack: end !important;
      justify-content: flex-end !important
  }

  .justify-content-xl-center {
      -ms-flex-pack: center !important;
      justify-content: center !important
  }

  .justify-content-xl-between {
      -ms-flex-pack: justify !important;
      justify-content: space-between !important
  }

  .justify-content-xl-around {
      -ms-flex-pack: distribute !important;
      justify-content: space-around !important
  }

  .align-items-xl-start {
      -ms-flex-align: start !important;
      align-items: flex-start !important
  }

  .align-items-xl-end {
      -ms-flex-align: end !important;
      align-items: flex-end !important
  }

  .align-items-xl-center {
      -ms-flex-align: center !important;
      align-items: center !important
  }

  .align-items-xl-baseline {
      -ms-flex-align: baseline !important;
      align-items: baseline !important
  }

  .align-items-xl-stretch {
      -ms-flex-align: stretch !important;
      align-items: stretch !important
  }

  .align-content-xl-start {
      -ms-flex-line-pack: start !important;
      align-content: flex-start !important
  }

  .align-content-xl-end {
      -ms-flex-line-pack: end !important;
      align-content: flex-end !important
  }

  .align-content-xl-center {
      -ms-flex-line-pack: center !important;
      align-content: center !important
  }

  .align-content-xl-between {
      -ms-flex-line-pack: justify !important;
      align-content: space-between !important
  }

  .align-content-xl-around {
      -ms-flex-line-pack: distribute !important;
      align-content: space-around !important
  }

  .align-content-xl-stretch {
      -ms-flex-line-pack: stretch !important;
      align-content: stretch !important
  }

  .align-self-xl-auto {
      -ms-flex-item-align: auto !important;
      align-self: auto !important
  }

  .align-self-xl-start {
      -ms-flex-item-align: start !important;
      align-self: flex-start !important
  }

  .align-self-xl-end {
      -ms-flex-item-align: end !important;
      align-self: flex-end !important
  }

  .align-self-xl-center {
      -ms-flex-item-align: center !important;
      align-self: center !important
  }

  .align-self-xl-baseline {
      -ms-flex-item-align: baseline !important;
      align-self: baseline !important
  }

  .align-self-xl-stretch {
      -ms-flex-item-align: stretch !important;
      align-self: stretch !important
  }
}